zipios::GZIPOutputStream Class Reference

GZIPOutputStream is an ostream that writes the output to a gz file. More...

`#include <gzipoutputstream.h>`

Inheritance diagram for zipios::GZIPOutputStream:
[legend]

## Public Member Functions

| GZIPOutputStream (std::ostream &os)
| GZIPOutputStream constructor.
| GZIPOutputStream (const std::string &filename)
| GZIPOutputStream constructor.
void | setFilename (const string &filename)
void | setComment (const string &comment)
void | close ()
| Calls finish and closes the stream.
void | finish ()
| Finishes the stream.
virtual | ~GZIPOutputStream ()
| Destructor.

## Detailed Description

GZIPOutputStream is an ostream that writes the output to a gz file.

The interface approximates the interface of the Java GZIPOutputStream.

Definition at line 17 of file gzipoutputstream.h.

## Constructor & Destructor Documentation

## GZIPOutputStream() [1/2]

zipios::GZIPOutputStream::GZIPOutputStream | ( | std::ostream & | os | ) |

explicit

GZIPOutputStream constructor.

Parameters

  os | ostream to which the compressed zip archive is written.

Definition at line 13 of file gzipoutputstream.cpp.

## GZIPOutputStream() [2/2]

zipios::GZIPOutputStream::GZIPOutputStream | ( | const std::string & | filename | ) |

explicit

GZIPOutputStream constructor.

@filename filename to write the gzip archive to.

Definition at line 22 of file gzipoutputstream.cpp.

## ~GZIPOutputStream()

zipios::GZIPOutputStream::~GZIPOutputStream | ( |  | ) |

virtual

Destructor.

Definition at line 51 of file gzipoutputstream.cpp.

## Member Function Documentation

## close()

void zipios::GZIPOutputStream::close | ( |  | ) |

Calls finish and closes the stream.

Definition at line 39 of file gzipoutputstream.cpp.

## finish()

void zipios::GZIPOutputStream::finish | ( |  | ) |

Finishes the stream.

Definition at line 46 of file gzipoutputstream.cpp.

## setComment()

void zipios::GZIPOutputStream::setComment | ( | const string & | comment | ) |

Definition at line 35 of file gzipoutputstream.cpp.

## setFilename()

void zipios::GZIPOutputStream::setFilename | ( | const string & | filename | ) |

Definition at line 31 of file gzipoutputstream.cpp.

The documentation for this class was generated from the following files:

- gzipoutputstream.h
- gzipoutputstream.cpp